/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.html or http://ckeditor.com/license
 */

	CKEDITOR.editorConfig = function( config ) {
		// Define changes to default configuration here.
		// For the complete reference:
		// http://docs.ckeditor.com/#!/api/CKEDITOR.config

		// The toolbar groups arrangement, optimized for a single toolbar row.
		config.toolbarGroups = [
			{ name: 'document',	   groups: [ 'mode', 'document', 'doctools' ] },
			{ name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
			{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
			{ name: 'forms' },
			{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
			{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
			{ name: 'links' },
			{ name: 'insert' },
			{ name: 'styles' },
			{ name: 'colors' },
			{ name: 'tools' },
			{ name: 'others' },
			{ name: 'about' }
		];

		// The default plugins included in the basic setup define some buttons that
		// we don't want too have in a basic editor. We remove them here.
		config.removeButtons = 'Cut,Copy,Paste,Undo,Redo,Anchor,Underline,Strike,Subscript,Superscript';
		config.plugins="dialogui,format,dialog,basicstyles,clipboard,button,toolbar,enterkey,entities,floatingspace,wysiwygarea,indent,indentlist,fakeobjects,link,list,undo,xml,ajax,blockquote,panelbutton,panel,floatpanel,colorbutton,colordialog,menu,contextmenu,popup,filebrowser,justify,table,tabletools,tableresize,wordcount,resize,listblock,richcombo,image";

		// Let's have it basic on dialogs as well.
		config.removeDialogTabs = 'link:advanced';

		config.format_tags = 'p;h1;h2;h3;h4;h5;h6;pre;div';
		config.bodyClass = 'editor_body_class';
		config.extraPlugins = 'codemirror';
		
		config.codemirror = {
		   // Set this to the theme you wish to use (codemirror themes)
		    theme: 'cobalt',

		    // Whether or not you want to show line numbers
		    lineNumbers: true,

		    // Whether or not you want to use line wrapping
		    lineWrapping: false,

		    // Whether or not you want to highlight matching braces
		    matchBrackets: false,

		    // Whether or not you want tags to automatically close themselves
		    autoCloseTags: true,

		    // Whether or not you want Brackets to automatically close themselves
		    autoCloseBrackets: true,

		    // Whether or not to enable search tools, CTRL+F (Find), CTRL+SHIFT+F (Replace), CTRL+SHIFT+R (Replace All), CTRL+G (Find Next), CTRL+SHIFT+G (Find Previous)
		    enableSearchTools: true,

		    // Whether or not you wish to enable code folding (requires 'lineNumbers' to be set to 'true')
		    enableCodeFolding: true,

		    // Whether or not to enable code formatting
		    enableCodeFormatting: true,

		    // Whether or not to automatically format code should be done when the editor is loaded
		    autoFormatOnStart: true,

		    // Whether or not to automatically format code should be done every time the source view is opened
		    autoFormatOnModeChange: false,

		    // Whether or not to automatically format code which has just been uncommented
		    autoFormatOnUncomment: false,

		    // Whether or not to highlight the currently active line
		    highlightActiveLine: false,

		    // Define the language specific mode 'htmlmixed' for html including (css, xml, javascript), 'application/x-httpd-php' for php mode including html, or 'text/javascript' for using java script only
		    mode: 'htmlmixed',

		    // Whether or not to show the search Code button on the toolbar
		    showSearchButton: false,

		    // Whether or not to show Trailing Spaces
		    showTrailingSpace: false,

		    // Whether or not to highlight all matches of current word/selection
		    highlightMatches: true,

		    // Whether or not to show the format button on the toolbar
		    showFormatButton: false,

		    // Whether or not to show the comment button on the toolbar
		    showCommentButton: false,

		    // Whether or not to show the uncomment button on the toolbar
		    showUncommentButton: false,

		    // Whether or not to show the showAutoCompleteButton button on the toolbar
		    showAutoCompleteButton: false

		};				


	};
